This product is not supported for your selected Datadog site. ().

Update an On-Call notification rule for a user

PUT https://api.ap1.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.ap2.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.datadoghq.eu/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.ddog-gov.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.us2.ddog-gov.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.us3.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}https://api.us5.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules/{rule_id}

Overview

Update a notification rule for a user. The authenticated user must be the target user or have the on_call_admin permission This endpoint requires the on_call_read permission.

Arguments

Path Parameters

Name

Type

Description

user_id [required]

string

The user ID

rule_id [required]

string

The rule ID

Query Strings

Name

Type

Description

include

string

Comma-separated list of included relationships to be returned. Allowed values: channel.

Request

Body Data (required)

Expand All

Field

Type

Description

data [required]

object

Data for updating an on-call notification rule

attributes

object

Attributes for creating or modifying an on-call notification rule.

category

enum

Specifies the category a notification rule will apply to Allowed enum values: high_urgency,low_urgency

default: high_urgency

channel_settings

 <oneOf>

Configuration for the associated channel, if necessary

Option 1

object

Configuration for using a phone notification channel in a notification rule

method [required]

enum

Specifies the method in which a phone is used in a notification rule Allowed enum values: sms,voice

type [required]

enum

Indicates that the notification channel is a phone Allowed enum values: phone

default: phone

delay_minutes

int64

The number of minutes that will elapse before this rule is evaluated. 0 indicates immediate evaluation

id

string

Unique identifier for the rule

relationships

object

Relationship object for creating a notification rule

channel

object

Relationship object for creating a notification rule

data [required]

object

Channel relationship data for creating a notification rule

id

string

ID of the notification channel

type

enum

Indicates that the resource is of type 'notification_channels'. Allowed enum values: notification_channels

default: notification_channels

type [required]

enum

Indicates that the resource is of type 'notification_rules'. Allowed enum values: notification_rules

default: notification_rules

{
  "data": {
    "attributes": {
      "category": "high_urgency",
      "delay_minutes": 1
    },
    "id": "4d00de6b-e1c1-e5fa-b238-57acec728d0d",
    "relationships": {
      "channel": {
        "data": {
          "id": "7c1ce93f-30a5-596a-0f7b-06bfe153704c",
          "type": "notification_channels"
        }
      }
    },
    "type": "notification_rules"
  }
}

Response

OK

A top-level wrapper for a notification rule

Expand All

Field

Type

Description

data [required]

object

Data for an on-call notification rule

attributes

object

Attributes for an on-call notification rule.

category

enum

Specifies the category a notification rule will apply to Allowed enum values: high_urgency,low_urgency

default: high_urgency

channel_settings

 <oneOf>

Configuration for the associated channel, if necessary

Option 1

object

Configuration for using a phone notification channel in a notification rule

method [required]

enum

Specifies the method in which a phone is used in a notification rule Allowed enum values: sms,voice

type [required]

enum

Indicates that the notification channel is a phone Allowed enum values: phone

default: phone

delay_minutes

int64

The number of minutes that will elapse before this rule is evaluated. 0 indicates immediate evaluation

id

string

Unique identifier for the rule

relationships

object

Relationship object for creating a notification rule

channel

object

Relationship object for creating a notification rule

data [required]

object

Channel relationship data for creating a notification rule

id

string

ID of the notification channel

type

enum

Indicates that the resource is of type 'notification_channels'. Allowed enum values: notification_channels

default: notification_channels

type [required]

enum

Indicates that the resource is of type 'notification_rules'. Allowed enum values: notification_rules

default: notification_rules

included

[ <oneOf>]

Option 1

object

Data for an on-call notification channel

attributes

object

Attributes for an on-call notification channel.

active

boolean

Whether the notification channel is currently active.

config

 <oneOf>

Notification channel configuration

Option 1

object

Phone notification channel configuration

formatted_number [required]

string

The formatted international version of Number (e.g. +33 7 1 23 45 67).

number [required]

string

The E-164 formatted phone number (e.g. +3371234567)

region [required]

string

The ISO 3166-1 alpha-2 two-letter country code.

sms_subscribed_at

date-time

If present, the date the user subscribed this number to SMS messages

type [required]

enum

Indicates that the notification channel is a phone Allowed enum values: phone

default: phone

verified [required]

boolean

Indicates whether this phone has been verified by the user in Datadog On-Call

Option 2

object

Email notification channel configuration

address [required]

string

The e-mail address to be notified

formats [required]

[string]

Preferred content formats for notifications.

type [required]

enum

Indicates that the notification channel is an e-mail address Allowed enum values: email

default: email

Option 3

object

Push notification channel configuration

application_name [required]

string

The name of the application used to receive push notifications

device_name [required]

string

The name of the mobile device being used

type [required]

enum

Indicates that the notification channel is a mobile device for push notifications Allowed enum values: push

default: push

id

string

Unique identifier for the channel

type [required]

enum

Indicates that the resource is of type 'notification_channels'. Allowed enum values: notification_channels

default: notification_channels

{
  "data": {
    "attributes": {
      "category": "high_urgency",
      "channel_settings": {
        "method": "sms",
        "type": "phone"
      },
      "delay_minutes": 1
    },
    "id": "27590dae-47be-4a7d-9abf-8f4e45124020",
    "relationships": {
      "channel": {
        "data": {
          "id": "1562fab3-a8c2-49e2-8f3a-28dcda2405e2",
          "type": "notification_channels"
        }
      }
    },
    "type": "notification_rules"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                          ## default
# 

# Path parameters
export user_id="00000000-0000-0000-0000-000000000000"
export rule_id="00000000-0000-0000-0000-000000000000"
# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/on-call/users/${user_id}/notification-rules/${rule_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "category": "high_urgency", "channel_settings": { "method": "sms", "type": "phone" }, "delay_minutes": 1 }, "id": "2462ace1-49e2-aab1-xc4f-29cc4ae1105n7", "relationships": { "channel": { "data": { "id": "1562fab3-a8c2-49e2-8f3a-28dcda2405e2", "type": "notification_channels" } } }, "type": "notification_rules" } } EOF
// Update an On-Call notification rule for a user returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "user" in the system
	UserDataID := os.Getenv("USER_DATA_ID")

	// there is a valid "oncall_email_notification_rule" in the system
	OncallEmailNotificationRuleDataID := os.Getenv("ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID")

	// there is a valid "oncall_email_notification_channel" in the system
	OncallEmailNotificationChannelDataID := os.Getenv("ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID")

	body := datadogV2.UpdateOnCallNotificationRuleRequest{
		Data: datadogV2.UpdateOnCallNotificationRuleRequestData{
			Attributes: &datadogV2.UpdateOnCallNotificationRuleRequestAttributes{
				Category:     datadogV2.ONCALLNOTIFICATIONRULECATEGORY_HIGH_URGENCY.Ptr(),
				DelayMinutes: datadog.PtrInt64(1),
			},
			Id: datadog.PtrString(OncallEmailNotificationRuleDataID),
			Relationships: &datadogV2.OnCallNotificationRuleRelationships{
				Channel: &datadogV2.OnCallNotificationRuleChannelRelationship{
					Data: datadogV2.OnCallNotificationRuleChannelRelationshipData{
						Id:   datadog.PtrString(OncallEmailNotificationChannelDataID),
						Type: datadogV2.NOTIFICATIONCHANNELTYPE_NOTIFICATION_CHANNELS.Ptr(),
					},
				},
			},
			Type: datadogV2.ONCALLNOTIFICATIONRULETYPE_NOTIFICATION_RULES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOnCallApi(apiClient)
	resp, r, err := api.UpdateUserNotificationRule(ctx, UserDataID, OncallEmailNotificationRuleDataID, body, *datadogV2.NewUpdateUserNotificationRuleOptionalParameters().WithInclude("channel"))

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OnCallApi.UpdateUserNotificationRule`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OnCallApi.UpdateUserNotificationRule`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Update an On-Call notification rule for a user returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OnCallApi;
import com.datadog.api.client.v2.api.OnCallApi.UpdateUserNotificationRuleOptionalParameters;
import com.datadog.api.client.v2.model.NotificationChannelType;
import com.datadog.api.client.v2.model.OnCallNotificationRule;
import com.datadog.api.client.v2.model.OnCallNotificationRuleCategory;
import com.datadog.api.client.v2.model.OnCallNotificationRuleChannelRelationship;
import com.datadog.api.client.v2.model.OnCallNotificationRuleChannelRelationshipData;
import com.datadog.api.client.v2.model.OnCallNotificationRuleRelationships;
import com.datadog.api.client.v2.model.OnCallNotificationRuleType;
import com.datadog.api.client.v2.model.UpdateOnCallNotificationRuleRequest;
import com.datadog.api.client.v2.model.UpdateOnCallNotificationRuleRequestAttributes;
import com.datadog.api.client.v2.model.UpdateOnCallNotificationRuleRequestData;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OnCallApi apiInstance = new OnCallApi(defaultClient);

    // there is a valid "user" in the system
    String USER_DATA_ID = System.getenv("USER_DATA_ID");

    // there is a valid "oncall_email_notification_rule" in the system
    String ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID =
        System.getenv("ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID");

    // there is a valid "oncall_email_notification_channel" in the system
    String ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID =
        System.getenv("ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID");

    UpdateOnCallNotificationRuleRequest body =
        new UpdateOnCallNotificationRuleRequest()
            .data(
                new UpdateOnCallNotificationRuleRequestData()
                    .attributes(
                        new UpdateOnCallNotificationRuleRequestAttributes()
                            .category(OnCallNotificationRuleCategory.HIGH_URGENCY)
                            .delayMinutes(1L))
                    .id(ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID)
                    .relationships(
                        new OnCallNotificationRuleRelationships()
                            .channel(
                                new OnCallNotificationRuleChannelRelationship()
                                    .data(
                                        new OnCallNotificationRuleChannelRelationshipData()
                                            .id(ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID)
                                            .type(NotificationChannelType.NOTIFICATION_CHANNELS))))
                    .type(OnCallNotificationRuleType.NOTIFICATION_RULES));

    try {
      OnCallNotificationRule result =
          apiInstance.updateUserNotificationRule(
              USER_DATA_ID,
              ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID,
              body,
              new UpdateUserNotificationRuleOptionalParameters().include("channel"));
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OnCallApi#updateUserNotificationRule");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
"""
Update an On-Call notification rule for a user returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.on_call_api import OnCallApi
from datadog_api_client.v2.model.notification_channel_type import NotificationChannelType
from datadog_api_client.v2.model.on_call_notification_rule_category import OnCallNotificationRuleCategory
from datadog_api_client.v2.model.on_call_notification_rule_channel_relationship import (
    OnCallNotificationRuleChannelRelationship,
)
from datadog_api_client.v2.model.on_call_notification_rule_channel_relationship_data import (
    OnCallNotificationRuleChannelRelationshipData,
)
from datadog_api_client.v2.model.on_call_notification_rule_relationships import OnCallNotificationRuleRelationships
from datadog_api_client.v2.model.on_call_notification_rule_type import OnCallNotificationRuleType
from datadog_api_client.v2.model.update_on_call_notification_rule_request import UpdateOnCallNotificationRuleRequest
from datadog_api_client.v2.model.update_on_call_notification_rule_request_attributes import (
    UpdateOnCallNotificationRuleRequestAttributes,
)
from datadog_api_client.v2.model.update_on_call_notification_rule_request_data import (
    UpdateOnCallNotificationRuleRequestData,
)

# there is a valid "user" in the system
USER_DATA_ID = environ["USER_DATA_ID"]

# there is a valid "oncall_email_notification_rule" in the system
ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID = environ["ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID"]

# there is a valid "oncall_email_notification_channel" in the system
ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID = environ["ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID"]

body = UpdateOnCallNotificationRuleRequest(
    data=UpdateOnCallNotificationRuleRequestData(
        attributes=UpdateOnCallNotificationRuleRequestAttributes(
            category=OnCallNotificationRuleCategory.HIGH_URGENCY,
            delay_minutes=1,
        ),
        id=ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID,
        relationships=OnCallNotificationRuleRelationships(
            channel=OnCallNotificationRuleChannelRelationship(
                data=OnCallNotificationRuleChannelRelationshipData(
                    id=ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID,
                    type=NotificationChannelType.NOTIFICATION_CHANNELS,
                ),
            ),
        ),
        type=OnCallNotificationRuleType.NOTIFICATION_RULES,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OnCallApi(api_client)
    response = api_instance.update_user_notification_rule(
        user_id=USER_DATA_ID, rule_id=ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID, include="channel", body=body
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Update an On-Call notification rule for a user returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OnCallAPI.new

# there is a valid "user" in the system
USER_DATA_ID = ENV["USER_DATA_ID"]

# there is a valid "oncall_email_notification_rule" in the system
ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID = ENV["ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID"]

# there is a valid "oncall_email_notification_channel" in the system
ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID = ENV["ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID"]

body = DatadogAPIClient::V2::UpdateOnCallNotificationRuleRequest.new({
  data: DatadogAPIClient::V2::UpdateOnCallNotificationRuleRequestData.new({
    attributes: DatadogAPIClient::V2::UpdateOnCallNotificationRuleRequestAttributes.new({
      category: DatadogAPIClient::V2::OnCallNotificationRuleCategory::HIGH_URGENCY,
      delay_minutes: 1,
    }),
    id: ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID,
    relationships: DatadogAPIClient::V2::OnCallNotificationRuleRelationships.new({
      channel: DatadogAPIClient::V2::OnCallNotificationRuleChannelRelationship.new({
        data: DatadogAPIClient::V2::OnCallNotificationRuleChannelRelationshipData.new({
          id: ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID,
          type: DatadogAPIClient::V2::NotificationChannelType::NOTIFICATION_CHANNELS,
        }),
      }),
    }),
    type: DatadogAPIClient::V2::OnCallNotificationRuleType::NOTIFICATION_RULES,
  }),
})
opts = {
  include: "channel",
}
p api_instance.update_user_notification_rule(USER_DATA_ID, ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID, body, opts)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Update an On-Call notification rule for a user returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_on_call::OnCallAPI;
use datadog_api_client::datadogV2::api_on_call::UpdateUserNotificationRuleOptionalParams;
use datadog_api_client::datadogV2::model::NotificationChannelType;
use datadog_api_client::datadogV2::model::OnCallNotificationRuleCategory;
use datadog_api_client::datadogV2::model::OnCallNotificationRuleChannelRelationship;
use datadog_api_client::datadogV2::model::OnCallNotificationRuleChannelRelationshipData;
use datadog_api_client::datadogV2::model::OnCallNotificationRuleRelationships;
use datadog_api_client::datadogV2::model::OnCallNotificationRuleType;
use datadog_api_client::datadogV2::model::UpdateOnCallNotificationRuleRequest;
use datadog_api_client::datadogV2::model::UpdateOnCallNotificationRuleRequestAttributes;
use datadog_api_client::datadogV2::model::UpdateOnCallNotificationRuleRequestData;

#[tokio::main]
async fn main() {
    // there is a valid "user" in the system
    let user_data_id = std::env::var("USER_DATA_ID").unwrap();

    // there is a valid "oncall_email_notification_rule" in the system
    let oncall_email_notification_rule_data_id =
        std::env::var("ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID").unwrap();

    // there is a valid "oncall_email_notification_channel" in the system
    let oncall_email_notification_channel_data_id =
        std::env::var("ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID").unwrap();
    let body = UpdateOnCallNotificationRuleRequest::new(
        UpdateOnCallNotificationRuleRequestData::new(
            OnCallNotificationRuleType::NOTIFICATION_RULES,
        )
        .attributes(
            UpdateOnCallNotificationRuleRequestAttributes::new()
                .category(OnCallNotificationRuleCategory::HIGH_URGENCY)
                .delay_minutes(1),
        )
        .id(oncall_email_notification_rule_data_id.clone())
        .relationships(
            OnCallNotificationRuleRelationships::new().channel(
                OnCallNotificationRuleChannelRelationship::new(
                    OnCallNotificationRuleChannelRelationshipData::new()
                        .id(oncall_email_notification_channel_data_id.clone())
                        .type_(NotificationChannelType::NOTIFICATION_CHANNELS),
                ),
            ),
        ),
    );
    let configuration = datadog::Configuration::new();
    let api = OnCallAPI::with_config(configuration);
    let resp = api
        .update_user_notification_rule(
            user_data_id.clone(),
            oncall_email_notification_rule_data_id.clone(),
            body,
            UpdateUserNotificationRuleOptionalParams::default().include("channel".to_string()),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Update an On-Call notification rule for a user returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OnCallApi(configuration);

// there is a valid "user" in the system
const USER_DATA_ID = process.env.USER_DATA_ID as string;

// there is a valid "oncall_email_notification_rule" in the system
const ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID = process.env
  .ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID as string;

// there is a valid "oncall_email_notification_channel" in the system
const ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID = process.env
  .ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID as string;

const params: v2.OnCallApiUpdateUserNotificationRuleRequest = {
  body: {
    data: {
      attributes: {
        category: "high_urgency",
        delayMinutes: 1,
      },
      id: ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID,
      relationships: {
        channel: {
          data: {
            id: ONCALL_EMAIL_NOTIFICATION_CHANNEL_DATA_ID,
            type: "notification_channels",
          },
        },
      },
      type: "notification_rules",
    },
  },
  userId: USER_DATA_ID,
  ruleId: ONCALL_EMAIL_NOTIFICATION_RULE_DATA_ID,
  include: "channel",
};

apiInstance
  .updateUserNotificationRule(params)
  .then((data: v2.OnCallNotificationRule) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"